---
const { post } = Astro.props;
---

<div class="divider"></div>
<div class="flex flex-col mx-auto bg-white rounded-xl shadow-xl m-4">
  <div class="">
    <div class="p-8"> 
      <div class="">
      {
        post.data.tags.map(
        (tag: string) => 
          <div class="inline-block bg-blue-200 rounded-full px-3 py-1 text-sm font-semibold text-blue-700 mb-2 mr-1">
            <a class="" href={`/${tag}`}>
              {tag}
            </a>
          </div>
        )
      }
      </div>
      <h2 class="text-2xl font-semibold">
        <a href={`/${post.slug}`}
            class = "text-xl">
          {post.data.title}
        </a>
      </h2>
      <p class="text-sm text-gray-400">
        公開日: {new Intl.DateTimeFormat('ja-JP').format(post.data.pubDate)}
      </p>
      <p class="mt-2 text-gray-500">
        {post.body.slice(0, 150).replace("# 概要", "").replace("# 本題", "").replace("\n", "")}
        ...
      </p>
    </div>
  </div>
</div>
